# CharacterView Plugin

This unofficial TaleSpire plugin is for viewing the map from a character point of view.

## Change Log

```
2.0.1: Fixed issue with missing dependency on More Cameras Plugin. No plugin change.
2.0.0: Added support arrow based movement.
2.0.0: Added support for cam view.
2.0.0: Rewrote camera rendering due to BR udate.
1.4.1: Switched back to any key to go back to normal
1.4.1: Switched keys to no modifier. Key don't use L and M (already assigned by core TS).
1.4.0: Added look around feature
1.4.0: Fixed height bug
1.3.0: View is now from the Hook Head position (as opposed to the previous hard coded 0.5 height)
1.3.0: Plugin radial menu icon is now accessible without manual install steps
1.3.0: Character view radial option is only available to GM and mini owner
1.2.0: Plugin reported on TaleSpire main page
1.2.0: Option to use or not use Post Processing when in Character View (R2ModMan configuration setting)
1.2.0: Access to Character View can be done using keyboard or mini's radial menu
1.2.0: Any key can be used to revert back to normal view when in character view
1.1.0: Initial Release
```

## Install

Use R2ModMan or similar to install.

Default configuration is for Character View to use a full 1920x1080 screen. However, this can be adjusted
in the R2ModMan configuration for the plugin. For example, to create an Character View cam, use values such
as x=5, y=30, width=640, height=360. This will create a 640x360 view at 5,30 and the rest of the screen will
show the regular TS screen. 

## Usage

Press the ? key again to toggle the Character View mode on and off.

In Character View mode:

```
? = Return back to normal view.
U = Tilt head up
J = Tilt head down
H = Rotate head left
K = Rotate head right
N = Recenter head
Delete = Rotate left
PageUp = Rotate right
```

You can use the arrow keys, as normal, to move around while in or out of Character View mode.

## Configuration

R2ModMan configuration for the offers the following settings:

Default Tilt Value = Indicates the default head tilt value when Character View is used.
Reset Head = Indicates if the tilt should be reset to the default and the swivel set to 0 when the view returns to normal view.
View Area X = Indicates the horizontal position on the screen of the top-left corner of the view area.
View Area Y = Indicates the vertical position (from top of screen) on the screen of the top-left corner of the view area.
View Area Width = Indicates how wide the view area is.
View Area Height = Indicates how high the view area is.

This plugin uses the More Cameras Plugin which has a configuration for device performance. You can set the setting in the
R2ModMan configuration for that plugin. Setting it to a high performance device will mean that the animations will be more
smoother (if your devoice can keep up) but will cause less powerful devices to perform poorly because the rendering will be
using too much CPU. Setting this to a lower performance device means that the animations will be more choppy (because the view
will be refreshed less) but it will use less CPU. There are mutiple options with options between the two extremes. If you see
your device lagging alot, reduce the performance settings.  